Roles and permissions are now available. Give team members granular permissions. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
}
]
}Get a list of all object storage buckets for the authenticated organization.
curl --request GET \
--url https://cloud.laravel.com/api/buckets \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
keys Was this page helpful?